<mat-horizontal-stepper [linear]="isLinear" #stepper fxLayout="column" fxFlex="1000">
    <mat-step [stepControl]="detailsFormGroup">
        <form [formGroup]="detailsFormGroup">
            <ng-template matStepLabel>Details</ng-template>
            <div>
                <mat-form-field class="form-field">
                    <input matInput placeholder="Name" formControlName="name" [(ngModel)]="project.name" required>
                    <mat-icon matSuffix>assignment</mat-icon>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field class="form-field">
                    <input matInput placeholder="url" formControlName="url" [(ngModel)]="project.url" readonly>
                    <mat-icon matSuffix>link</mat-icon>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field class="form-field">
                    <textarea matInput placeholder="How might we?" formControlName="description"
                        [(ngModel)]="project.description" style="height: 250px;" required>
                        </textarea>
                    <mat-icon matSuffix>description</mat-icon>
                </mat-form-field>
            </div>

            <div>
                <mat-form-field floatPlaceholder="always" class="form-field">
                    <input matInput [placeholder]="visibility.title" readonly>
                    <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group"
                        [formControlName]="visibility.value">
                        <mat-radio-button class="example-radio-button" *ngFor="let option of visibility.options"
                            [value]="option.id" [checked]="option.checked">
                            {{option.name}}
                        </mat-radio-button>
                    </mat-radio-group>
                </mat-form-field>
            </div>

            <div>
                <button mat-button matStepperNext>Next</button>
            </div>
            <!-- <pre>
                {{detailsFormGroup.value | json}}
            </pre> -->
        </form>
    </mat-step>

    <mat-step [stepControl]="goalsFormGroup">
        <form [formGroup]="goalsFormGroup">
            <ng-template matStepLabel>Please pick the goals project will work on</ng-template>
            <mat-form-field floatPlaceholder="always" class="mat-form-field--no-underline">
                <input matInput placeholder="Goals" readonly>

                <section class="example-section">
                    <div class="row" *ngFor="let goal of goals; let i=index">
                        <img [src]="goal.img" width=50px height=50px style="vertical-align: middle;">
                        <label>
                            <input type="checkbox" [value]="goal.value" [checked]="goal.checked"
                                (change)="onGoalsCheckboxChange($event)" class="example-margin" />
                            {{goal.title}}
                        </label>
                    </div>
                </section>

            </mat-form-field>
            <div>
                <button mat-button matStepperPrevious>Back</button>
                <button mat-button matStepperNext>Next</button>
            </div>
            <!-- <pre>
                {{goalsFormGroup.value | json}}
            </pre> -->
        </form>
    </mat-step>

    <mat-step [stepControl]="skillsFormGroup">
        <form [formGroup]="skillsFormGroup">
            <ng-template matStepLabel>What are the skills required for this project?</ng-template>
            <mat-form-field floatPlaceholder="always" class="form-field">
                <input matInput placeholder="Skills" readonly>

                <section class="example-section">
                    <div class="row" *ngFor="let skill of skills; let i=index">
                        <!-- <img [src]="goal.img" width=50px height=50px style="vertical-align: middle;"> -->
                        <label>
                            <input type="checkbox" [value]="skill.value" [checked]="skill.checked"
                                (change)="onSkillsCheckboxChange($event)" class="example-margin" />
                            {{skill.title}}
                        </label>
                    </div>
                </section>

            </mat-form-field>
            <!-- <pre>
                {{skillsFormGroup.value | json}}
            </pre> -->
        </form>
        <div>
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button matStepperNext>Next</button>
        </div>
    </mat-step>

    <mat-step [stepControl]="teamFormGroup">
        <div class="header">{{detailsFormGroup.value.name}}'s Current Team Members</div>
        <mat-list role="list" *ngFor="let teamMember of teamMembers">
            <mat-list-item role="listitem">
                <mat-icon>person</mat-icon> {{teamMember.name}}
            </mat-list-item>
        </mat-list>

        <form [formGroup]="teamFormGroup">
            <ng-template matStepLabel>Team</ng-template>
            <div class="header">New Team Members</div>

            <!-- <mat-form-field>
                <input matInput type="text" placeholder="Search" formControlName="searchProject" (input)="search()"
                    appearance="outline" style="width:200px;">
                <mat-icon matSuffix>search</mat-icon>
            </mat-form-field> -->

            <mat-selection-list formControlName="teams">
                <mat-list-option *ngFor="let user of users" [value]="user">
                    <span>
                        <div>
                            <mat-icon>person</mat-icon> {{user.name}}
                        </div>
                    </span>
                    <br />
                </mat-list-option>
            </mat-selection-list>
            <!-- <pre>
                    {{teamFormGroup.value | json}}
            </pre> -->
        </form>
        <div>
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button (click)="submit()">Done</button>
        </div>
        {{message}}
    </mat-step>
</mat-horizontal-stepper>